Skip to content

Upsert Skill

PUT
/v1/skills/{skill_id}
curl --request PUT \
--url https://example.com/v1/skills/example \
--header 'Content-Type: application/json' \
--data '{ "files": [ { "path": "example", "content": "", "encoding": "utf-8", "executable": false } ] }'
skill_id
required
Skill Id
string
x-pomerium-jwt-assertion
Any of:
string
Media typeapplication/json
SkillBundleUpsert
object
files
required
Files
Array<object>
SkillFile
object
path
required
Path
string
content
Content
string
""
encoding
Encoding
string
default: utf-8
executable
Executable
boolean

Successful Response

Media typeapplication/json
Response Upsert Skill V1 Skills Skill Id Put
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}